using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate659 : MulticastDelegate
{
	public extern void Invoke(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, Exception exception_0);

	public static void smethod_0(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, Exception exception_0, Delegate659 delegate659_1)
	{
		delegate659_1(ref asyncTaskMethodBuilder_0, exception_0);
	}

	public extern Delegate659(object object_0, IntPtr intptr_0);

	static Delegate659()
	{
		Class10.smethod_13(typeof(Delegate659).TypeHandle);
	}

	internal static Delegate659 delegate659_0;
}
